// -*-c++-*-

/***************************************************************************
                          rccsensoredata.h  -  Interface and implemataion of
			                       the RCC_SensorData abstract
					       class from which all sensor
					       classes are derived.	  
                             -------------------
    begin                : 17-JULY-2001
    copyright            : (C) 2001 by Tom Howard.
    email                : thomashoward@email.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _RCC_SENSOR_DATA_H_
#define _RCC_SENSOR_DATA_H_

#include "rccmemory.h"
#include <iostream>
#include "rccside.h"

class RCC_SensorData : public RCC_Object
{
public:
  RCC_SensorData () {}
  virtual ~RCC_SensorData () {}
  
  friend std::ostream&
  operator<< ( std::ostream& o, 
	       const RCC_SensorData& sd ) 
  { return sd.print ( o ); } 
  
  virtual std::ostream&
  print ( std::ostream& ) const = 0;

  virtual std::ostream&
  print ( std::ostream&, const Side& ) const = 0;
};

#endif
