typedef union
{
	bool                            bval;
	int         	                ival;
	double			        rval;
	RCC_String*		        str;
	RCC_StadPlayMode*		playmode_p;
	RCC_StadPlayMode::mode_t	playmode;
	RCC_CoachPlayMode::coach_mode_t coach_playmode;
	RCC_CoachPlayMode*		coach_playmode_p;
	Side				stad_side;
	RCC_Side*			side_p;
	RCC_RefAudio*			ref_audio_p;
	RCC_SelfAudio*			self_audio_p;
	RCC_PlayerAudio*		player_audio_p;
	RCC_CoachAudio*			coach_audio_p;
	RCC_CoachStdMsg*     		coach_std_msg_p;
	RCC_CoachMetaMsg*     		coach_meta_msg_p;
	RCC_CoachFreeformMsg*  		coach_free_msg_p;
	RCC_CoachInfoMsg*     		coach_info_msg_p;
	RCC_CoachAdviceMsg*    		coach_adv_msg_p;
	RCC_CoachDefineMsg*   		coach_def_msg_p;
	RCC_CoachMetaToken_Version*	coach_meta_ver_token_p;
	RCC_CoachDefineToken_Condition*	coach_define_token_cond_p;
	RCC_CoachDefineToken_Directive*	coach_define_token_dir_p;
	RCC_CoachDefineToken_Region*	coach_define_token_reg_p;
	RCC_CoachDefineToken_Action*	coach_define_token_act_p;
	RCC_ActUnion* 			action_p;
	RCC_DirUnion* 			directive_p;
	RCC_DirUnion::container*	dir_list_p;
	RCC_CondUnion* 			condition_p;
	RCC_CondUnion::container*	cond_list_p;
	RCC_CoachInfoToken_Clear*	coach_info_token_clear_p;
	RCC_CoachInfoToken_Rule*	coach_info_token_rule_p;
	RCC_RegUnion*  			region_p;
	RCC_RegPointUnion*		reg_point_p;
	RCC_RegMerged*			reg_union_p;
	RCC_UnumSet*   			unum_set_p;
	RCC_BallMoveSet*		ball_move_set_p;
	RCC_BallMoveSet::RCC_BallMove_t	ball_move;
} YYSTYPE;
#define	ERROR	257
#define	LP	258
#define	RP	259
#define	IVAL	260
#define	RVAL	261
#define	QSTR	262
#define	L_KW	263
#define	R_KW	264
#define	LEFT_KW	265
#define	RIGHT_KW	266
#define	PLAY_MODE_KW	267
#define	COACH_PLAY_MODE_KW	268
#define	HEAR_KW	269
#define	REF_KW	270
#define	SELF_KW	271
#define	COACH_KW	272
#define	P_KW	273
#define	D_KW	274
#define	C_KW	275
#define	S_KW	276
#define	LB	277
#define	RB	278
#define	META	279
#define	FREEFORM	280
#define	INFO	281
#define	ADVICE	282
#define	DEFINE	283
#define	DEFINEC	284
#define	DEFINED	285
#define	DEFINER	286
#define	DEFINEA	287
#define	VER	288
#define	NULL_REGION	289
#define	QUAD	290
#define	ARC	291
#define	PT	292
#define	REG	293
#define	POS	294
#define	HOME	295
#define	BALLTO	296
#define	MARK	297
#define	MARK_LINE	298
#define	OFFLINE	299
#define	HTYPE	300
#define	DO_DONT	301
#define	TEAM	302
#define	TRUE_KW	303
#define	FALSE_KW	304
#define	PPOS	305
#define	BPOS	306
#define	BOWNER	307
#define	AND	308
#define	OR	309
#define	NOT	310
#define	PLAY_M_KW	311
#define	CLEAR	312
#define	BALL_KW	313

