// -*-c++-*-

/***************************************************************************
                          rccobject.h  -  Interface for the RCC_Object class
			                  from which almoast every RCC class
					  inherits.
                             -------------------
    begin                : 17-JULY-2001
    copyright            : (C) 2001 by Tom Howard.
    email                : thomashoward@email.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _RCC_OBJECT_H_
#define _RCC_OBJECT_H_

#pragma interface

template < class T > class RCC_Pointer;

class RCC_Object
{
public:
  RCC_Object ();
  virtual ~RCC_Object ();

  virtual RCC_Pointer < RCC_Object > copy () const = 0;
};

#endif
